Bug 39150 - Installer hangs when multiple CPU boards in the same CompactPCI chassis
Installer hangs when multiple CPU boards in the same CompactPCI chassis
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://www.forcecomputers.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-04 18:54 EDT by Tom Chung
Modified: 2014-03-16 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 08:01:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Chung 2001-05-04 18:54:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (WinNT; I)

Description of problem:
I have a system-slot and I/O-slot CPU boards in the same CompactPCI chassis. The system-slot and I/O-slot boards are both 500MHz 
Pentium III CompactPCI boards. When I tried to install RH 7.1, the installar mistakenly detected the other CPU board was a 'CPQArray SCSI 
controller'. The installer was trying to load the 'CPQArray' driver and initialize it, it hangs because the SCSI controller is not there. If I removed 
the I/O-slot CPU board, the installation will complete without error. I have no problem installing RH 6.2 with the same configuration.


How reproducible:
Always

Steps to Reproduce:
1.Use a Force Computers Centellis 8700 chassis
2.Use a Force Computers CPCI-730 (system-slot) and CPCI-731 (I/O-slot) CPU boards
3. Install RH 7.1 with an IDE Hard Drive and CD-ROM
4. Bootup RH 7.1 from  CD-ROM and run the installer
	

Actual Results:  Installer hangs when trying to load the 'CPQArray SCSI' driver. Installation never completed.

Expected Results:  Shouldn't load the 'CPQArray SCSI' driver because there is no Compaq SCSI controller in the chassis.

Additional info:

When I removed the I/O-slot CPU board, the installation will complete without error. I was able to install RH 6.2 successfully with the same 
configuration.
Comment 1 Brent Fox 2001-05-07 10:54:14 EDT
That's hard to reproduce because we don't have that hardware.

Bill, is this a kudzu problem?
Comment 2 Bill Nottingham 2001-05-07 11:05:17 EDT
Hard to tell without the lspci output.
Comment 3 Tom Chung 2001-05-07 12:48:52 EDT
We can loan you some Force Computers's CPU boards in order to duplicate the problem if neccessary. Do you have a CompactPCI chassis?
Comment 4 Bill Nottingham 2001-05-07 14:09:09 EDT
Not in an x86 box, AFAIK.
Comment 5 Tom Chung 2001-05-07 14:23:18 EDT
I have a DOS-based PCI utlitity which can capture and report all the PCI devices on the PCI bus.
Do you need me to send you the PCI scan report of the CPCI-730 and CPCI-731 boards?
What is lspci? Is there a PCI tool available for Linux that I can use?
Comment 6 Bill Nottingham 2001-05-07 14:28:51 EDT
lspci is the Linux pci utility. Can you run 'lspci -v' and post the output?
Comment 7 Tom Chung 2001-05-07 18:04:35 EDT
Here is the PCI information for the CPCI-730 system-slot board. 
Please note that the DEC 21554 draw bridge is on the CPCI-731 I/O-slot board.

00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (AGP disabled) (rev 03)
	Flags: bus master, medium devsel, latency 64
	Memory at f8000000 (32-bit, prefetchable) [size=64M]

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
	Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80 [Master])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 1400 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00 [UHCI])
	Flags: bus master, medium devsel, latency 64, IRQ 9
	I/O ports at 1060 [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
	Flags: medium devsel, IRQ 9

00:08.0 Ethernet controller: Digital Equipment Corporation DECchip 21142/43 (rev 41)
	Flags: bus master, medium devsel, latency 165, IRQ 9
	I/O ports at 1080 [size=128]
	Memory at f4000000 (32-bit, non-prefetchable) [size=1K]
	Expansion ROM at <unassigned> [disabled] [size=256K]

00:09.0 PCI bridge: Digital Equipment Corporation DECchip 21150 (rev 04) (prog-if 00 [Normal decode])
	Flags: bus master, fast Back2Back, medium devsel, latency 99
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=68
	Memory behind bridge: f5000000-f5ffffff
	Capabilities: [dc] Power Management version 1

00:0a.0 PCI bridge: Digital Equipment Corporation DECchip 21150 (rev 04) (prog-if 00 [Normal decode])
	Flags: bus master, fast Back2Back, medium devsel, latency 64
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=68
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f6000000-f63fffff
	Capabilities: [dc] Power Management version 1

01:0d.0 VGA compatible controller: Chips and Technologies F69000 HiQVideo (rev 64) (prog-if 00 [VGA])
	Subsystem: Chips and Technologies F69000 HiQVideo
	Flags: stepping, medium devsel, IRQ 9
	Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Expansion ROM at <unassigned> [disabled] [size=256K]

02:0e.0 Bridge: Digital Equipment Corporation DECchip 21554 (rev 01)
	Subsystem: Force Computers: Unknown device 0015
	Flags: bus master, fast Back2Back, medium devsel, latency 64, IRQ 10
	Memory at f6004000 (32-bit, non-prefetchable) [size=16K]
	I/O ports at 2400 [size=256]
	I/O ports at 2000 [size=256]
	Memory at f6200000 (32-bit, non-prefetchable) [size=2M]
	Memory at f6000000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [dc] Power Management version 0
	Capabilities: [e4] Slot ID: 0 slots, First-, chassis 00
	Capabilities: [ec] #06 [0080]
Comment 8 Brent Fox 2001-05-21 17:57:58 EDT
The output of 'lspci -n' would be helpful too.  

As a workaround, I think you can say 'linux expert noprobe' and try to do an
install that way.  Hopefully that will cause the installer to not probe the
hardware, which should cause the installer to not load the cpqarray module.  But
the real question is why the installer is detecting the SmartArray when there
isn't one.  The output of 'lspci -n' will tell us the pci id's of the hardware
in the system.
Comment 9 Tom Chung 2001-05-22 13:04:51 EDT
The workaround works when installing RH 7.1 with the 'linux expert noprobe' boot option. What I don't understand was RH 6.2 installer doesn't have the 
same problem. RH 6.2 installer doesn't require 'expert' mode for installation. I also ran the 'lspci' on the RH 6.2. It has the same 'lspci' output as the RH 
7.1. But at least the workaround works for now. I can live with that until you guys fix the RH 7.1 installer problem on the next release. Thanks.
Comment 10 Bill Nottingham 2001-05-22 16:14:09 EDT
Ah, it's a pcitable problem. However, we need more info from Compaq before
we can fix this.
Comment 11 Brent Fox 2001-05-22 16:27:20 EDT
It sounds like there are some overlaps in the pci ids for the Compaq Smart Array
and some other device on the PCI bus in kudzu's PCI table.  
Changing component to kudzu.
Comment 12 Johan Lithander 2001-12-07 08:01:45 EST
I can confirm that this also happens with Ziatech/Intel cPCI boards !
Setup:
Chassi: ZT5087
Master CPU: ZT5503
Peripheral CPU: ZT5541

The Peripheral (5541) is detected as a CPQArray SCSI controller and the
installation hangs when trying to load cpqarray.o !

/Johan
Comment 13 Bill Nottingham 2001-12-07 10:44:42 EST
This has been fixed recently after 7.2 shipped.

Note You need to log in before you can comment on or make changes to this bug.